diff --git a/doc/src/sgml/ddl.sgml b/doc/src/sgml/ddl.sgml
index 0258391154..781536c44b 100644
--- a/doc/src/sgml/ddl.sgml
+++ b/doc/src/sgml/ddl.sgml
@@ -3349,8 +3349,10 @@ ALTER TABLE measurement ATTACH PARTITION measurement_y2008m02
 
      <listitem>
       <para>
-       <literal>BEFORE ROW</literal> triggers, if necessary, must be defined
-       on individual partitions, not the partitioned table.
+       Creating <literal>BEFORE ROW</literal> triggers on partitioned tables
+       is not supported.  A workaround is to create such a trigger on individual
+       partitions, but make sure that its definition is identical across all
+       partitions, including the function that's called from the trigger.
       </para>
      </listitem>
     </itemizedlist>
